package net.educoder.ecsonar.model;

import java.util.Date;

/**
 * @Author: youys
 * @Date: 2023/8/31
 * @Description: 毕设质量分析任务详情
 */
public class GraduationProjectTaskInfoDetail {

    private String id;
    /**
     * 任务id
     */
    private String taskId;
    /**
     * 项目名称
     */
    private String projectName;
    /**
     * 语言
     */
    private String language;
    /**
     * 学号
     */
    private String studentId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * git地址
     */
    private String gitUrl;

    /**
     * 姓名
     */
    private String name;
    /**
     * 0处理中 1处理成功 -1 处理失败
     */
    private Integer status;
    private Date createTime;
    private Date updateTime;


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public String getStudentId() {
        return studentId;
    }

    public void setStudentId(String studentId) {
        this.studentId = studentId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getLanguage() {
        return language;
    }

    public void setLanguage(String language) {
        this.language = language;
    }

    public String getGitUrl() {
        return gitUrl;
    }

    public void setGitUrl(String gitUrl) {
        this.gitUrl = gitUrl;
    }
}
